Mapping Militant Organizations
==============================
This research project traces the evolution of militant organizations and the interactions that develop between them over time. Findings are presented in interactive "maps," which provide both (1) visual representations of how relationships among militant organizations change over time and (2) links to in-depth profiles of individual groups. The project provides uniquely accessible and clear genealogical information about violent extremist organizations that, combined with the detailed group profiles, is an invaluable resource to students, scholars, journalists, policy analysts, and other interested in violent oppositional organizations.

This repository contains the code used to power our interactive network diagrams and profiles (available at [mappingmilitants.stanford.edu](http://mappingmilitants.stanford.edu)). However, this repository does not contain (and the license herein does not apply to) the text of the profiles or the information stored in our databases.

License
-------
Copyright (c) 2011-2012 Daniel Cassman and Martha Crenshaw

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Dependencies
------------
This project relies on several libraries and frameworks:

* [jQuery](http://www.jquery.com)
* [jQueryUI](http://www.jqueryui.com)
* [CakePHP](http://www.cakephp.org)
* [CSS Blueprint](http://www.blueprintcss.org/)
